Subject: Re: bug#61877: [PATCH] Extract Lisp function examples from shortdoc information

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Mar 2023 10:30:14 +0200

> From: Daniel Martín <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 11 Mar 2023 15:27:54 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >
> > Thanks.  This no longer applies to the current master, so please
> > resubmit, and I will install.
> >
> 
> Thanks, I've rebased the patch.
> 
> >> The NEWS entry explains how users could show this information in their
> >> *Help* buffers, if they want.
> >
> > Maybe this part should be also in the user manual?
> 
> I've added some information to the user manual.  I see we don't document
> help-fns-describe-function-functions in the user manual at all, should
> we do it?  Customizing what is displayed in describe-function buffers
> may be something that users want to do.  But perhaps we need to make the
> hook part of the Customize interface first, I don't know.

I added an index entry for help-fns-describe-function-functions in the
ELisp manual; I think this is enough for now.

Now installed on master.

Btw, something seems amiss: "C-h f" for string-fill, which has 2
examples in shortdoc, still says "Example:", not "Examples:", as I'd
expect.  Can you take a look?